# Function processPromises

- processPromises(promises, handleOperationsIds, promiseId, promiseResultTypeId, promiseReasonTypeId, resolvedTypeId, rejectedTypeId, log): Promise<void>

- #### Parameters

  - promises: any[]
  - handleOperationsIds: any[]
  - promiseId: Id
  - promiseResultTypeId: Id
  - promiseReasonTypeId: Id
  - resolvedTypeId: Id
  - rejectedTypeId: Id
  - log: any

  #### Returns Promise<void>

  - Defined in work/deeplinks/deeplinks/imports/router/links.ts:96